openbsd-ports/textproc/urlview/pkg/INSTALL
xsa b3fee3cc36 - add @extra support
- INSTALL,DEINSTALL cleanup
- s,/etc,${SYSCONFDIR},g in the man page as well..
okay sturm@.
2004-04-13 20:23:59 +00:00

72 lines
1.7 KiB
Plaintext

#!/bin/sh
# $OpenBSD: INSTALL,v 1.3 2004/04/13 20:23:59 xsa Exp $
#
# Pre/post-installation setup of urlview
# exit on errors, use a sane path and install prefix
#
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
PREFIX=${PKG_PREFIX:-/usr/local}
CONFIG_DIR=${SYSCONFDIR}
CONFIG_FILE=${SYSCONFDIR}/urlview.conf
SAMPLE_CONFIG_DIR=${PREFIX}/share/examples/urlview
SAMPLE_CONFIG_FILE=${SAMPLE_CONFIG_DIR}/sample.urlview
# Function: install configuration files
#
do_install_conf()
{
install -d -o root -g wheel ${CONFIG_DIR}
install -m 0644 -o root -g wheel ${SAMPLE_CONFIG_FILE} ${CONFIG_FILE}
echo
echo "+---------------"
echo "| The $1 configuration file ${CONFIG_FILE},"
echo "| has been installed. Please view this file and change"
echo "| the configuration to meet your needs."
echo "+---------------"
echo
}
# Function: tell the user what they need to do to use the port just installed
#
do_notice_conf()
{
echo
echo "+---------------"
echo "| The existing $1 configuration file, ${CONFIG_FILE}"
echo "| has NOT been changed. You may want to compare it to the"
echo "| current sample file, ${SAMPLE_CONFIG_FILE},"
echo "| and update your configuration as needed."
echo "+---------------"
echo
}
# Verify proper execution
#
if [ $# -ne 2 ]; then
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
fi
# Verify/process the command
#
case $2 in
PRE-INSTALL)
: nothing to pre-install for this port
;;
POST-INSTALL)
if [ -f ${CONFIG_FILE} ]; then
do_notice_conf "$1"
else
do_install_conf "$1"
fi
;;
*)
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
;;
esac
exit 0